-- CourseplayAutoInstallation
-- Script to install Courseplay Spec to all steerables in the game
--
-- @ Autor  Tobias F. (John Deere 6930)
-- @ Last Edit  21/01/2011

CourseplayAutoInstallation = {};

function CourseplayAutoInstallation:loadMap(name)
	self.insertCourseplay = true;
end;

function CourseplayAutoInstallation:deleteMap()
end;

function CourseplayAutoInstallation:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CourseplayAutoInstallation:keyEvent(unicode, sym, modifier, isDown)
end;	

function CourseplayAutoInstallation:update(dt)
	if self.insertCourseplay then
		for _,steerable in pairs(g_currentMission.steerables) do
			--print("Loaded Steerable found in: \n    "..steerable.configFileName);
			--print("    		"..tostring(SpecializationUtil.hasSpecialization(Courseplay, steerable.specializations)))
			if not SpecializationUtil.hasSpecialization(Courseplay, steerable.specializations) then
				print("Added Specialization Courseplay to: \n    "..steerable.configFileName);
				table.insert(steerable.specializations, Courseplay);
				-- redo the load part of Courseplay
				local xmlFile = loadXMLFile("TempConfig", steerable.configFileName);
				Courseplay.load(steerable, xmlFile);
				delete(xmlFile);
			end;
		end;
		self.insertCourseplay = false;
	end;
end;

function CourseplayAutoInstallation:updateTick(dt)
end;

function CourseplayAutoInstallation:draw()
end;
addModEventListener(CourseplayAutoInstallation);